Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.model
Class FormItemRepresentation

    java.lang.Object
      org.jbpm.form.builder.services.model.FormItemRepresentation

All Implemented Interfaces:
  Serializable, Mappable

Direct Known Subclasses:
  AbsolutePanelRepresentation, AudioRepresentation, BorderPanelRepresentation, ButtonRepresentation, CalendarRepresentation, CanvasRepresentation, CheckBoxRepresentation, ClientScriptRepresentation, ComboBoxRepresentation, CompleteButtonRepresentation, ConditionalBlockRepresentation, CSSPanelRepresentation, FieldSetPanelRepresentation, FileInputRepresentation, FlowPanelRepresentation, HeaderRepresentation, HiddenRepresentation, HorizontalPanelRepresentation, HTMLRepresentation, ImageRepresentation, ImageRolodexRepresentation, LabelRepresentation, LineGraphRepresentation, LoopBlockRepresentation, MenuPanelRepresentation, MIGPanelRepresentation, NumberFieldRepresentation, OptionRepresentation, PasswordFieldRepresentation, RadioButtonRepresentation, RangeFieldRepresentation, RichTextEditorRepresentation, ServerTransformationRepresentation, SummaryRepresentation, TabbedPanelRepresentation, TableRepresentation, TextAreaRepresentation, TextFieldRepresentation, UploadWithProgressBarRepresentation, VerticalPanelRepresentation, VideoRepresentation

    public abstract class FormItemRepresentation

extends Object
implements Mappable

See Also:
  Serialized Form

Constructor Summary
`FormItemRepresentation(String typeId)`

Method Summary
`boolean` | `addEffectClass(Class<?> clazz)`
`boolean` | `equals(Object obj)`
`Map<String,Object>` | `getDataMap()`
`List<String>` | `getEffectClasses()`
`Map<String,ScriptRepresentation>` | `getEventActions()`
`ExternalData` | `getExternal()`
`String` | `getHeight()`
`InputData` | `getInput()`
`List<FBValidation>` | `getItemValidations()`
`OutputData` | `getOutput()`
`String` | `getTypeId()`
`String` | `getWidth()`
`int` | `hashCode()`
`void` | `setDataMap(Map<String,Object> data)`
`void` | `setEffectClasses(List<String> effectClasses)`
`void` | `setEventActions(Map<String,ScriptRepresentation> eventActions)`
`void` | `setExternal(ExternalData external)`
`void` | `setHeight(String height)`
`void` | `setInput(InputData input)`
`void` | `setItemValidations(List<FBValidation> itemValidations)`
`void` | `setOutput(OutputData output)`
`void` | `setWidth(String width)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormItemRepresentation

    public FormItemRepresentation(String typeId)

Method Detail

### setEventActions

    public void setEventActions(Map<String,ScriptRepresentation> eventActions)

### getEventActions

    public Map<String,ScriptRepresentation> getEventActions()

### getItemValidations

    public List<FBValidation> getItemValidations()

### setItemValidations

    public void setItemValidations(List<FBValidation> itemValidations)

### getOutput

    public OutputData getOutput()

### setOutput

    public void setOutput(OutputData output)

### getInput

    public InputData getInput()

### setInput

    public void setInput(InputData input)

### getExternal

    public ExternalData getExternal()

### setExternal

    public void setExternal(ExternalData external)

### getWidth

    public String getWidth()

### setWidth

    public void setWidth(String width)

### getHeight

    public String getHeight()

### setHeight

    public void setHeight(String height)

### getTypeId

    public String getTypeId()

### getEffectClasses

    public List<String> getEffectClasses()

### setEffectClasses

    public void setEffectClasses(List<String> effectClasses)

### addEffectClass

    public boolean addEffectClass(Class<?> clazz)

### getDataMap

    public Map<String,Object> getDataMap()

  Specified by:
    `getDataMap` in interface `Mappable`

### setDataMap

    public void setDataMap(Map<String,Object> data)
                    throws FormEncodingException

  Specified by:
    `setDataMap` in interface `Mappable`
  Throws:
    `FormEncodingException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.